## libarena-20080221.tgz

=== Makefile ===
#
# Get CURDIR (GNU Make) from .CURDIR (pmake)
#
CURDIR	?= $(.CURDIR)


#
# Setup our targets
#
all:

.PHONY: clean uninstall


#
# Setup our build environment.
#
include $(CURDIR)/mk/Variables.mk

Prologue	?= $(CURDIR)/mk/Prologue.mk
Epilogue	?= $(CURDIR)/mk/Epilogue.mk


#
# Include local Rules.mk
#
dir	:= $(CURDIR)
include $(dir)/Rules.mk


#
# Debian package management.
#
DPKG_BUILDPACKAGE ?= dpkg-buildpackage
FAKEROOT          ?= fakeroot

.PHONY: debian debian-clean

debian:
	$(DPKG_BUILDPACKAGE) -rfakeroot -I.svn $(DPKG_BUILDPACKAGE_OPTIONS)

debian-clean:
	-$(FAKEROOT) ./debian/rules clean

=== debian/changelog ===
libarena (0.3.3-1) unstable; urgency=low

  * Initial release

 -- William Ahern <william@25thandClement.com>  Tue,  5 Jun 2007 18:59:57 +0000

=== debian/control ===
Source: libarena
Priority: extra
Maintainer: William Ahern <william@25thandClement.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
Section: libs

Package: libarena-dev
Section: libdevel
Architecture: any
Depends: libarena0 (= ${Source-Version})
Description: Development header(s) for libarena
 Contains development header(s) for libarena, a custom memory allocator
 interface library.

Package: libarena0
Section: libs
Architecture: any
Depends: libc6 (>= 2.5-0ubuntu1)
Description: Custom memory allocator interface library
 Custom memory allocator interface library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -g -Wall -Werror

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) pic

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp prefix=/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
